/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\events and scenarios\Thanksgiving 2008\ThanksgivingPie.cs
Lines of code: 80
***********************************************************/


using System;
using Server;
using Server.Targeting;

namespace Server.Items
{
	public class ThanksgivingPie: Item
	{
	
		[Constructable]
		public ThanksgivingPie() : base( 4161 )
		{
			switch ( Utility.Random( 15 ))
            {                                   
            	case 0: Name = "Thanksgiving Pie (Burnt to a crisp by Red Squirrel)"; break;    	
            	case 1: Name = "Thanksgiving Pie (Burnt to a crisp by Seer Death)"; break;  
            	case 2: Name = "Thanksgiving Pie (Burnt to a crisp by Shadow)"; break;  
            	
            	case 3: Name = "Thanksgiving Pie (Baked to perfection by Red Squirrel)"; break;  
            	case 4: Name = "Thanksgiving Pie (Baked to perfection by Seer Death)"; break; 
            	case 5: Name = "Thanksgiving Pie (Baked to perfection by Shadow)"; break; 
            	
            	case 6: Name = "Thanksgiving Pie (Fresh from the oven, made by Red Squirrel)"; break;  
            	case 7: Name = "Thanksgiving Pie (Fresh from the oven, made by Seer Death)"; break;  
            	case 8: Name = "Thanksgiving Pie (Fresh from the oven, made by Shadow)"; break;  
            	
            	case 9: Name = "Thanksgiving Pie (Purchased from the bakery by Red Squirrel)"; break;  
            	case 10: Name = "Thanksgiving Pie (Purchased from the bakery by Seer Death)"; break; 
            	case 11: Name = "Thanksgiving Pie (Purchased from the bakery by Shadow)"; break; 
            	
            	case 12: Name = "Thanksgiving Pie (Sat on and smooshed by Red Squirrel)"; break;  
            	case 13: Name = "Thanksgiving Pie (Sat on and smooshed by Seer Death)"; break; 
            	case 14: Name = "Thanksgiving Pie (Sat on and smooshed by Shadow)"; break;  
			}
			
			LootType=LootType.Blessed;
		}
		
		public override bool DisplayWeight { get { return ( false ); } }			

		public ThanksgivingPie( Serial serial ) : base( serial )
		{
		}
		
		public override void OnDoubleClick( Mobile from ) 
		{ 
			if ( !this.IsLockedDown )
			{
				from.SendLocalizedMessage( 502693 ); // Remember, this only works when locked down.
				return;
			}
			else 
			{
			switch ( Utility.Random( 15 ))
            {                                   
            	case 0: from.SendMessage("This piece tastes funny"); break; 
            	case 1: from.SendMessage("This piece is the best you've ever tasted!"); break;
            	case 2: from.SendMessage("This piece tastes stale"); break;
            	case 3: from.SendMessage("This piece tastes sweet"); break;
            	case 4: from.SendMessage("This piece tastes like it's burnt"); break;
            	case 5: from.SendMessage("This piece is packed with apple filling"); break;
            	case 6: from.SendMessage("The slice of pie falls apart as you try to eat it"); break;
            	case 7: from.SendMessage("This piece tastes pretty good"); break;
            	case 8: from.SendMessage("This piece tastes aweful!"); break;
            	case 9: from.SendMessage("This piece has a suggary crust"); break;
            	case 10: from.SendMessage("This piece looks weird"); break;
            	case 11: from.SendMessage("This piece smells delicious"); break;
            	case 12: from.SendMessage("This piece is as hard as a rock"); break;
            	case 13: from.SendMessage("This piece has a nice golden brown crust"); break;
            	case 14: from.SendMessage("This piece of pie has very little apple filling"); break;   	
			}	
			}
		}
		
		public override void GetProperties( ObjectPropertyList list)
		{
			base.GetProperties( list );
			list.Add(1060658,"Mad Alchemist Thankgiving Event \t" + "2008");
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}